Bug 189966 - no sound: pam_console session fails with 'unknown class "ircomm"'
no sound: pam_console session fails with 'unknown class "ircomm"'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
:
: 189994 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-26 06:26 EDT by sangu
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-27 03:19:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2006-04-26 06:26:50 EDT
Description of problem:
in booting message
unkonwn class "ircomm" at line 58 in /etc/security/console.perms.d/50-default.perms

$ cat /etc/security/console.perms.d/50-default.perms | grep ircomm
<irda>=/dev/ircomm*
<console>  0600 <ircomm>     0600 root


Version-Release number of selected component (if applicable):
0.99.3.0-3

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
no sound

Expected results:

Additional info:
Installing pam-0.99.3.0-3, sound doesn't work.
$ alsamixer

alsamixer: function snd_ctl_open failed for default: No such device
Comment 1 Jason Vas Dias 2006-04-26 10:04:54 EDT
Yes, I can confirm this problem with pam-0.99.3.0-3 .

After upgrading to rawhide-20060425 and pam-0.99.3.0-3, pam_console no longer
sets the ownership of /dev/console and /dev/dsp to the console login session
user .  As a result, audio is disabled, and 'xterm -C' fails.

/etc/pam.d/{gdm,kdm} contains 'session optional pam_console.so' which used to
set the ownership of /dev/dsp to the login user OK, when I started a X (KDE)
session as a NIS user.

Now, I get these messages in /var/log/secure when logging into X as a NIS user
with kdm, and the ownership of /dev/dsp is not set correctly (it remains root):

pam_console_apply[xxxx]: unknown class "ircomm" at line 58 in
/etc/security/console.perms.d/50-default.perms

kdm: :0[xxxx]: pam_console(kdm:session): handler '/sbin/pam_console_apply'
returned 1 on exit

Commenting out line 58 in /etc/security/console.perms.d/50-default-perms
fixes the problem, and /dev/dsp and /dev/console then have correct ownership
after login with kdm/gdm .

Comment 2 Frank Arnold 2006-04-26 13:36:22 EDT
*** Bug 189994 has been marked as a duplicate of this bug. ***
Comment 3 Jon Masters 2006-04-26 13:41:40 EDT
Yup, commenting out that permission fixed the problem I described in BZ 189994
where /dev/pmu had the wrong ownership also.
Comment 4 Tomas Mraz 2006-04-27 03:19:54 EDT
Should be now fixed, also the pam_console_apply should now handle such lines
gracefully, skipping them and not exiting.

Note You need to log in before you can comment on or make changes to this bug.